# Report an event on a customer evaluation

Reports an event on a `CustomerEvaluation` object.

## Request

```curl
curl https://api.stripe.com/v1/radar/customer_evaluations/cuseval_123456789/report \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  -d status=allowed
```

### Response

```json
{
  "id": "cuseval_123456789",
  "object": "radar.customer_evaluation",
  "event_type": "registration",
  "livemode": true,
  "created_at": 1715769600,
  "customer": "cus_123456789",
  "status": "allowed",
  "events": null,
  "signals": {
    "multi_accounting": {
      "score": 50.1,
      "evaluated_at": 1715769600,
      "risk_level": null
    }
  }
}
```

## Parameters

- `id` (string, required)
  The ID of the customer evaluation to report the outcome on.

- `customer` (string, optional)
  The ID of a Customer to attach to an entity-less registration evaluation.

- [`login_failed`](https://docs.stripe.com/api/radar/customer-evaluation/report.md?query=login_failed) (object, optional)
  Data for a failed login event.

- [`registration_failed`](https://docs.stripe.com/api/radar/customer-evaluation/report.md?query=registration_failed) (object, optional)
  Data for a failed registration event.

- [`registration_success`](https://docs.stripe.com/api/radar/customer-evaluation/report.md?query=registration_success) (object, optional)
  Data for a successful registration event.

- `status` (enum, optional)
  The outcome status of the evaluation: allowed, restricted, or blocked.
Possible enum values:
  - `allowed`
  - `blocked`
  - `restricted`

- `type` (enum, optional)
  The type of event to report on the customer evaluation.
Possible enum values:
  - `login_failed`
  - `login_success`
  - `registration_failed`
  - `registration_success`

## Returns

Returns the `CustomerEvaluation` object if reporting succeeds.
